Как скомпилировать расширение Ruby c на Ruby 2.2.1 для плагинов SketchUp?

sketchup ruby-c-extension

159 просмотра

1 ответ

Я использовал расширение Ruby C для SketchUp Plugin. Версия Ruby есть 1.9.3и в SketchUp2016. Но я должен перекомпилировать расширение Ruby C, чтобы обновить пакет плагинов, который поддерживает версию ruby ​​для 2.2.1PUB.

Источник Размещён: 08.11.2019 11:09

Ответы (1)


0 плюса

Вы должны использовать версию Ruby, которую использует SketchUp. В SketchUp 13 и более ранних версиях использовался Ruby 1.8, а в SketchUp 2014 вплоть до текущего SketchUp 2016 использовался Ruby 2.0.

Вы не можете скомпилировать против Ruby 1.9, 2.2 или любого другого варианта, если вы планируете загрузить расширение C в SketchUp.

Учетная запись SketchUp github содержит библиотеки и заголовки, соответствующие поставляемым версиям SketchUp для Ruby: https://github.com/SketchUp/ruby-c-extension-examples

Автор: thomthom Размещён: 22.08.2016 01:52
Вопросы из категории :
32x32